%FLUOFITEXAMPLE Fluofit example
%   FLUOFITEXAMPLE fits an example spectrum and saves it.
%
%   AUTHOR:
%      Wouter Caarls, MPIbpc <wouter@caarls.org>

% Read data
rawdata = csvread('fluofitexample.csv');
data = rawdata(2:end, 2:end);
em = rawdata(2:end,1);
ex = rawdata(1,2:end);

% Create options
o = fluofitopt('bands', 3, ...     % 3 emission bands
               'fixratio', 1, ...  % 2 emission bands
               'redshift', 1, ...  % second excitation band redshifted
               'iterations', 100); % 100 iterations

% Fit data
[b, o] = fluofit(data, em, ex, o);

% Write fitting parameters
fluofitwrite(data, em, ex, b, 'fluofitexample_fit', o);

% Export fitted data
fluofitexport(data, em, ex, b, 'fluofitexample_fit', o);
